Bug 207276 - CVE-2006-2937 OpenSSL ASN1 DoS
CVE-2006-2937 OpenSSL ASN1 DoS
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: openssl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Brian Brock
reported=20060703,source=openssl,impa...
: Security
Depends On:
Blocks: 209116 CVE-2006-2937
  Show dependency treegraph
 
Reported: 2006-09-20 07:50 EDT by Mark J. Cox
Modified: 2008-01-29 05:59 EST (History)
1 user (show)

See Also:
Fixed In Version: RHSA-2006-0695
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-28 20:06:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch CVE-2006-2937 (1.13 KB, patch)
2006-09-20 07:50 EDT, Mark J. Cox
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2006:0695 normal SHIPPED_LIVE Important: openssl security update 2006-09-28 00:00:00 EDT

  None (edit)
Description Mark J. Cox 2006-09-20 07:50:38 EDT
Dr S N Henson of the OpenSSL core team and Open Network Security recently
developed an ASN1 test suite for NISCC (www.niscc.gov.uk). When the test suite
was run against OpenSSL a denial of service vulnerability was discovered.

During the parsing of certain invalid ASN1 structures an error condition is
mishandled. This can result in an infinite loop which consumes system memory. 
CVE-2006-2938

Any code which uses OpenSSL to parse ASN1 data from untrusted sources is
affected. This includes SSL servers which enable client authentication and
S/MIME applications.

This issue affects 0.9.7 and 0.9.8 but not 0.9.6 and earlier

Embargo until 20060928
Comment 1 Mark J. Cox 2006-09-20 07:50:38 EDT
Created attachment 136729 [details]
proposed patch CVE-2006-2937
Comment 4 Mark J. Cox 2006-09-28 09:27:28 EDT
removing embargo, public at http://www.openssl.org/news/secadv_20060928.txt
Comment 5 Red Hat Bugzilla 2006-09-28 20:06:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2006-0695.html

Note You need to log in before you can comment on or make changes to this bug.